package com.tofly.gpsboot.service.calculate;

import com.tofly.es.dto.StatisticalInfoDto;
import com.tofly.es.vo.StatisticalInfoVo;
import com.tofly.pojo.plan.Gpscalculate;

import java.util.Date;
import java.util.List;

public interface ICalculateGpsService {

    /**
     * 统计巡检里程、耗时、有效里程、有效耗时、实际里程，实际耗时，发现隐患数、发现工地数、签到时间段
     */
   void CalculateGps();

    /**
     * 根据条件获取统计数据
     * @param dto
     * @return
     */
    List<StatisticalInfoVo> getStatisticalInfo(StatisticalInfoDto dto);

    Gpscalculate CalculateGpsByUseDate(Long userId, Date startDate, Date endDate);
}
